# KHRICD (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class KHRICD

    java.lang.Object
      org.lwjgl.opencl.KHRICD

    public final class KHRICD

extends java.lang.Object

Field Summary
`static int` `CL_PLATFORM_ICD_SUFFIX_KHR` Accepted as <param_name> to the function clGetPlatformInfo
`static int` `CL_PLATFORM_NOT_FOUND_KHR` Returned by clGetPlatformIDs when no platforms are found

Method Summary
`static int` `clIcdGetPlatformIDsKHR(PointerBuffer platforms, java.nio.IntBuffer num_platforms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_PLATFORM_ICD_SUFFIX_KHR

    public static final int CL_PLATFORM_ICD_SUFFIX_KHR

  Accepted as <param_name> to the function clGetPlatformInfo

  See Also:
    Constant Field Values

### CL_PLATFORM_NOT_FOUND_KHR

    public static final int CL_PLATFORM_NOT_FOUND_KHR

  Returned by clGetPlatformIDs when no platforms are found

  See Also:
    Constant Field Values

Method Detail

### clIcdGetPlatformIDsKHR

    public static int clIcdGetPlatformIDsKHR(PointerBuffer platforms,
                                             java.nio.IntBuffer num_platforms)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.